#include <netcdf.h>
#include <stdio.h>

int ncstatus;
#define handle_error(a) if ((ncstatus = (a)) != NC_NOERR) { \
    fprintf(stderr, "NetCDF error on line %d: %s\n", __LINE__, \
      nc_strerror(ncstatus)); \
    exit(-1); \
}

int
main(int argc, char **argv)
{
  int i;
  for (i = 1; i < argc; ++i) {
    int ncid, varid, mid;
    short int missing_value = 0;
    fprintf(stderr, "Fixing %s\n", argv[i]);
    handle_error(nc_open(argv[i], NC_WRITE, &ncid));
    handle_error(nc_redef(ncid));
    handle_error(nc_inq_varid(ncid, "beta", &varid));
    handle_error(nc_del_att(ncid, varid, "missing_value"));
    nc_del_att(ncid, varid, "_FillValue");
    handle_error(nc_put_att_short(ncid, varid, "missing_value",
				  NC_SHORT, 1, &missing_value));
    handle_error(nc_put_att_short(ncid, varid, "_FillValue",
				  NC_SHORT, 1, &missing_value));
    handle_error(nc_close(ncid));
  }
}
